darcs-2.8.4: a distributed, interactive, smart revision control system

Safe Haskell | None

Darcs.Repository.HashedIO

# Documentation

type HashedIO p = StateT (HashDir RW p) IO

copyHashed :: String -> Cache -> Compression -> String -> IO ()

copyPartialsHashed :: FilePathLike fp => Cache -> Compression -> String -> [fp] -> IO ()

cleanHashdir :: Cache -> HashedDir -> [String] -> IO ()

data RW

Constructors

RW |

Instances

ApplyMonad (HashedIO p) Tree |